CamelNNTPAddress
3
CAMEL Library

# CamelNNTPAddress

## Synopsis

                        CamelNNTPAddress;
    CamelNNTPAddress *  camel_nntp_address_new              (void);
    gint                camel_nntp_address_add              (CamelNNTPAddress *a,
                                                             const gchar *name);
    gboolean            camel_nntp_address_get              (const CamelNNTPAddress *a,
                                                             gint index,
                                                             const gchar **namep);

## Description

## Details

### CamelNNTPAddress

    typedef struct {
    	CamelAddress parent;

    	struct _CamelNNTPAddressPrivate *priv;
    } CamelNNTPAddress;

### camel_nntp_address_new ()

    CamelNNTPAddress *  camel_nntp_address_new              (void);

Create a new CamelNNTPAddress object.

Returns :

  A new CamelNNTPAddress object.

### camel_nntp_address_add ()

    gint                camel_nntp_address_add              (CamelNNTPAddress *a,
                                                             const gchar *name);

Add a new nntp address to the address object. Duplicates are not added twice.

`a` :

  nntp address object

`name` :

Returns :

  Index of added entry, or existing matching entry.

### camel_nntp_address_get ()

    gboolean            camel_nntp_address_get              (const CamelNNTPAddress *a,
                                                             gint index,
                                                             const gchar **namep);

Get the address at `index`.

`a` :

  nntp address object

`index` :

  address's array index

`namep` :

  Holder for the returned address, or NULL, if not required.

Returns :

  TRUE if such an address exists, or FALSE otherwise.